summaryrefslogtreecommitdiffstats
path: root/run-tests.sh
diff options
context:
space:
mode:
authorHarshavardhana <harsha@harshavardhana.net>2014-08-08 01:56:23 -0700
committerHarshavardhana <harsha@harshavardhana.net>2014-08-13 22:01:27 -0700
commit8116328a6b4ead0207fc5f93fcac9a2606c6f6ab (patch)
tree2c3029deb4c1eeabddd67a58d6ddd8c71411079c /run-tests.sh
parent37b31605c6a2495848d52270e37b5fa0a8b9fdd5 (diff)
porting: FreeBSD related changes to regression scripts
- json_verify do not use '/usr/bin' let bash evaluate the location - TEST for test code compilation `bug-1051896.t`, `bug-1058663.t`, bug-905864.t - run-tests.sh - better checks for installed packages Change-Id: Ic7feda36ddfc082c609aabd75da2e9a8f59a92b3 BUG: 1111774 Signed-off-by: Harshavardhana <harsha@harshavardhana.net> Reviewed-on: http://review.gluster.org/8435 Tested-by: Gluster Build System <jenkins@build.gluster.com> Reviewed-by: Emmanuel Dreyfus <manu@netbsd.org> Tested-by: Emmanuel Dreyfus <manu@netbsd.org>
Diffstat (limited to 'run-tests.sh')
-rwxr-xr-xrun-tests.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/run-tests.sh b/run-tests.sh
index 12d902f..8db2ce7 100755
--- a/run-tests.sh
+++ b/run-tests.sh
@@ -9,7 +9,8 @@ function check_dependencies()
MISSING=""
# Check for dbench
- if [ ! -x /usr/bin/dbench ]; then
+ env dbench --usage > /dev/null 2>&1
+ if [ $? -ne 0 ]; then
MISSING="$MISSING dbench"
fi
@@ -36,9 +37,9 @@ function check_dependencies()
MISSING="$MISSING perl-Test-Harness"
fi
- # Check for YAJL
- if [ ! -x /usr/bin/json_verify ]; then
- MISSING="$MISSING yajl"
+ which json_verify > /dev/null
+ if [ $? -ne 0 ]; then
+ MISSING="$MISSING json_verify"
fi
# Check for XFS programs